Subject: Re: [PATCH v5 4/5] p7300: add performance tests for clean

From: Jeff King <[email-masked]>
Date: Tue, 28 Apr 2015 02:33:11 -0400

On Sun, Apr 26, 2015 at 08:49:44AM +0200, Erik Elfström wrote:

> diff --git a/t/perf/p7300-clean.sh b/t/perf/p7300-clean.sh
> new file mode 100755
> index 0000000..6ae55ec
> --- /dev/null
> +++ b/t/perf/p7300-clean.sh
> @@ -0,0 +1,31 @@
> +#!/bin/sh
> +
> +test_description="Test git-clean performance"
> +
> +. ./perf-lib.sh
> +
> +test_perf_large_repo

Do we actually need a large repo here? The real cost is coming from the
directories we create. We could actually start with a totally empty
repository if we wanted (though I don't think the t/perf system handles
that right now). But if there's not a reason to use the large repo, I
think using test_perf_default_repo is better, as it works out of the box
without specifying extra environment variables (well, it works either
way, but you get a nasty warning from perf-lib.sh).

-Peff